"/usr/lib/cups/filter/pstopdf failed" in error_log and only blank page printed

Bug #289759 reported by Marc Higgins on 2008-10-27
52
This bug affects 5 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: cups

kyocera km3232e / ppd 8.2 no longer works when upgrading to Ubuntu 8.10 intrepid, It prints blank pages & displays error. diagnostics are below.

Linux dell640m 2.6.27-7-generic #1 SMP Fri Oct 24 06:42:44 UTC 2008 i686 GNU/Linux. Cups version 1.3.9-2,

Page 1 (Scheduler not running?):
{'cups_connection_failure': False}
Page 2 (Choose printer):
{'cups_dest': <cups.Dest Kyocera-KM3232e (default)>,
 'cups_instance': None,
 'cups_queue': 'Kyocera-KM3232e',
 'cups_queue_listed': True}
Page 3 (Check printer sanity):
{'cups_device_uri_scheme': u'socket',
 'cups_printer_dict': {'device-uri': u'socket://10.0.0.53:9100',
                       'printer-info': u'Kyocera-KM3232e',
                       'printer-is-shared': True,
                       'printer-location': u'dell640m',
                       'printer-make-and-model': u'Kyocera KM-C3232',
                       'printer-state': 3,
                       'printer-state-message': u'/usr/lib/cups/filter/pstopdf failed',
                       'printer-state-reasons': [u'none'],
                       'printer-type': 176220,
                       'printer-uri-supported': u'ipp://localhost:631/printers/Kyocera-KM3232e'},
 'cups_printer_remote': False,
 'is_cups_class': False}
Page 4 (Check PPD sanity):
{'cups_printer_ppd_defaults': {u'General': {u'CIE': u'PrnDef',
                                            u'ColorModel': u'CMYK',
                                            u'Colorreprod': u'Auto1',
                                            u'Duplex': u'DuplexNoTumble',
                                            u'InputSlot': u'PF700A',
                                            u'Jog': u'None',
                                            u'KCBooklet': u'None',
                                            u'KCCollate': u'PrnDef',
                                            u'KCContone': u'False',
                                            u'KCFold': u'None',
                                            u'KCPunch': u'None',
                                            u'KCRotate': u'None',
                                            u'KCStaple': u'None',
                                            u'KCSuperWatermark': u'None',
                                            u'KCVersion': u'Default',
                                            u'KmManagment': u'Default',
                                            u'MediaType': u'PrnDef',
                                            u'OutputBin': u'None',
                                            u'PagePolicy': u'On',
                                            u'PageRegion': u'A4',
                                            u'PageSize': u'A4',
                                            u'Rotate': u'False',
                                            u'StapleCount': u'None'},
                               u'InstallableOptions': {u'InstalledMemory': u'1024MB',
                                                       u'Option17': u'DF710',
                                                       u'Option18': u'HardDisk',
                                                       u'Option19': u'One',
                                                       u'Option21': u'False',
                                                       u'Option22': u'True',
                                                       u'Option25': u'False',
                                                       u'Option26': u'True'},
                               u'JCL': {u'JCLBlueLevel': u'None',
                                        u'JCLEconomode': u'Off',
                                        u'JCLGreenLevel': u'None',
                                        u'JCLHalftone': u'Gradation',
                                        u'JCLHueBlue': u'None',
                                        u'JCLHueCyan': u'None',
                                        u'JCLHueGreen': u'None',
                                        u'JCLHueMagenta': u'None',
                                        u'JCLHueMaster': u'None',
                                        u'JCLHueRed': u'None',
                                        u'JCLHueYellow': u'None',
                                        u'JCLLightnessContrast': u'None',
                                        u'JCLLightnessGamma': u'None',
                                        u'JCLRedLevel': u'None',
                                        u'JCLSaturation': u'None'}},
 'cups_printer_ppd_valid': True,
 'missing_pkgs_and_exes': ([], [])}
Page 5 (Local or remote?):
{'printer_is_remote': False}
Page 6 (Printer state reasons):
{'printer-state-message': u'/usr/lib/cups/filter/pstopdf failed',
 'printer-state-reasons': [u'none']}
Page 7 (Error log checkpoint):
{'cups_server_settings': {'DefaultAuthType': 'Basic',
                          'MaxLogSize': '0',
                          'SystemGroup': 'lpadmin',
                          '_debug_logging': '1',
                          '_remote_admin': '0',
                          '_remote_any': '0',
                          '_remote_printers': '0',
                          '_share_printers': '0',
                          '_user_cancel_any': '0'},
 'error_log_checkpoint': 313223L}
Page 8 (Print test page):
{'test_page_job_status': [(False,
                           505,
                           'Kyocera-KM3232e',
                           'Test Page',
                           'Stopped',
                           None),
                          (False,
                           506,
                           'Kyocera-KM3232e',
                           'Test Page',
                           'Stopped',
                           None)],
 'test_page_successful': True}
Page 9 (Error log fetch):
{'error_log': ['D [27/Oct/2008:16:14:55 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:55 +1000] Get-Jobs ipp://localhost/jobs/',
               'D [27/Oct/2008:16:14:55 +1000] [Job 505] Loading attributes...',
               'D [27/Oct/2008:16:14:55 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:55 +1000] Create-Printer-Subscription /',
               'D [27/Oct/2008:16:14:55 +1000] cupsdCreateSubscription(con=0xb84c23d0(14), uri="/")',
               'D [27/Oct/2008:16:14:55 +1000] pullmethod="ippget"',
               'D [27/Oct/2008:16:14:55 +1000] notify-lease-duration=86400',
               'D [27/Oct/2008:16:14:55 +1000] notify-time-interval=0',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAddSubscription(mask=17800, dest=(nil)(), job=(nil)(0), uri="(null)")',
               'D [27/Oct/2008:16:14:55 +1000] Added subscription 23 for server',
               'I [27/Oct/2008:16:14:55 +1000] Saving subscriptions.conf...',
               'D [27/Oct/2008:16:14:55 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:55 +1000] Cancel-Subscription /',
               'D [27/Oct/2008:16:14:55 +1000] cupsdIsAuthorized: requesting-user-name="marc"',
               'I [27/Oct/2008:16:14:55 +1000] Saving subscriptions.conf...',
               'D [27/Oct/2008:16:14:55 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdCloseClient: 11',
               'D [27/Oct/2008:16:14:55 +1000] cupsdReadClient: 14 GET /admin/log/error_log HTTP/1.1',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAcceptClient: 11 from localhost (Domain)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdReadClient: 11 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:55 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:55 +1000] Get-Printer-Attributes ipp://localhost/printers/Kyocera-KM3232e',
               'D [27/Oct/2008:16:14:55 +1000] cupsdProcessIPPRequest: 11 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:55 +1000] cupsdCloseClient: 11',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAcceptClient: 11 from localhost (Domain)',
               'D [27/Oct/2008:16:14:57 +1000] cupsdReadClient: 11 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:57 +1000] Get-Printer-Attributes ipp://localhost/printers/Kyocera-KM3232e',
               'D [27/Oct/2008:16:14:57 +1000] cupsdProcessIPPRequest: 11 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:57 +1000] cupsdCloseClient: 11',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAcceptClient: 11 from localhost (Domain)',
               'D [27/Oct/2008:16:14:57 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:57 +1000] cupsdReadClient: 11 GET /admin/log/error_log HTTP/1.1',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:57 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:57 +1000] Get-Jobs ipp://localhost/jobs/',
               'D [27/Oct/2008:16:14:57 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:57 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:57 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:57 +1000] Create-Printer-Subscription /',
               'D [27/Oct/2008:16:14:57 +1000] cupsdCreateSubscription(con=0xb84c23d0(14), uri="/")',
               'D [27/Oct/2008:16:14:57 +1000] pullmethod="ippget"',
               'D [27/Oct/2008:16:14:57 +1000] notify-lease-duration=86400',
               'D [27/Oct/2008:16:14:57 +1000] notify-time-interval=0',
               'D [27/Oct/2008:16:14:57 +1000] cupsdAddSubscription(mask=17800, dest=(nil)(), job=(nil)(0), uri="(null)")',
               'D [27/Oct/2008:16:14:57 +1000] Added subscription 24 for server',
               'I [27/Oct/2008:16:14:57 +1000] Saving subscriptions.conf...',
               'D [27/Oct/2008:16:14:57 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:57 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:58 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:14:58 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:14:58 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:14:58 +1000] Get-Notifications /',
               'D [27/Oct/2008:16:14:58 +1000] cupsdIsAuthorized: requesting-user-name="marc"',
               'D [27/Oct/2008:16:14:58 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:14:58 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:14:59 +1000] Report: clients=4',
               'D [27/Oct/2008:16:14:59 +1000] Report: jobs=297',
               'D [27/Oct/2008:16:14:59 +1000] Report: jobs-active=2',
               'D [27/Oct/2008:16:14:59 +1000] Report: printers=9',
               'D [27/Oct/2008:16:14:59 +1000] Report: printers-implicit=0',
               'D [27/Oct/2008:16:14:59 +1000] Report: stringpool-string-count=3816',
               'D [27/Oct/2008:16:14:59 +1000] Report: stringpool-alloc-bytes=14224',
               'D [27/Oct/2008:16:14:59 +1000] Report: stringpool-total-bytes=73976',
               'D [27/Oct/2008:16:15:01 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:15:01 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:15:01 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:15:01 +1000] Get-Notifications /',
               'D [27/Oct/2008:16:15:01 +1000] cupsdIsAuthorized: requesting-user-name="marc"',
               'D [27/Oct/2008:16:15:01 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:15:01 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:15:01 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:15:01 +1000] Get-Job-Attributes ipp://localhost/jobs/506',
               'D [27/Oct/2008:16:15:01 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:15:01 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:15:02 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:15:02 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:15:02 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:15:02 +1000] cupsdReadClient: 14 POST / HTTP/1.1',
               'D [27/Oct/2008:16:15:02 +1000] cupsdAuthorize: No authentication data provided.',
               'D [27/Oct/2008:16:15:02 +1000] Cancel-Subscription /',
               'D [27/Oct/2008:16:15:02 +1000] cupsdIsAuthorized: requesting-user-name="marc"',
               'I [27/Oct/2008:16:15:02 +1000] Saving subscriptions.conf...',
               'D [27/Oct/2008:16:15:02 +1000] cupsdProcessIPPRequest: 14 status_code=0 (successful-ok)',
               'D [27/Oct/2008:16:15:02 +1000] cupsdCloseClient: 14',
               'D [27/Oct/2008:16:15:02 +1000] cupsdAcceptClient: 14 from localhost (Domain)',
               'D [27/Oct/2008:16:15:02 +1000] cupsdCloseClient: 11',
               'D [27/Oct/2008:16:15:02 +1000] cupsdReadClient: 14 GET /admin/log/error_log HTTP/1.1',
               'D [27/Oct/2008:16:15:02 +1000] cupsdAuthorize: No authentication data provided.']}

neutrinux (agniady) wrote :

Same here with a XEROX C2424 ppd that no longer works. It prints Blank pages :

E [28/Oct/2008:13:00:33 +0100] PID 12357 (/usr/lib/cups/filter/pstopdf) stopped with status 1!
E [28/Oct/2008:13:02:08 +0100] [Job 23] Job stopped due to filter errors.

Brandon Snider (brandonsnider) wrote :

Same thing happens here with an Epson CX4200:

E [28/Oct/2008:10:39:53 -0400] PID 14838 (/usr/lib/cups/filter/pstopdf) stopped with status 1!
E [28/Oct/2008:14:14:01 -0400] PID 29093 (/usr/lib/cups/filter/pstopdf) stopped with status 1!

2008/10/29 Brandon Snider <email address hidden>

> Same thing happens here with an Epson CX4200:
>
> E [28/Oct/2008:10:39:53 -0400] PID 14838 (/usr/lib/cups/filter/pstopdf)
> stopped with status 1!
> E [28/Oct/2008:14:14:01 -0400] PID 29093 (/usr/lib/cups/filter/pstopdf)
> stopped with status 1!
>
> --
> cups kyocera
> https://bugs.launchpad.net/bugs/289759
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Just a suggestion, if you run the diagnostics when it fails & post the
results someone might see a consistent theme, it can't hurt & has a real
chance of helping. If you want a hand doing that i am happy to help.

--
Best Regards,

Marc Higgins

Mob: 0423 179 051 | Email: <email address hidden>
Tel: 07 5519 9924 | Skype: marc.higgins
Fax: 07 5519 9413 | www.hunny.be

This correspondence (& attachments) is intended only for use by the
addressee/s & may contain information which is confidential and/or may be
the subject of legal privilege and/or may be subject to copyright. If you
are not the intended recipient of this communication, disclosure,
distribution or use of the information is prohibited. Delete & destroy all
copies & contact the sender immediately. We do not represent, warrant or
guarantee the integrity of this communication or that the communication is
free of viruses, errors, interception or interference. All numbers quoted
are indications only.

Brandon Snider (brandonsnider) wrote :

That's fine. What are the instructions?

On Tue, Oct 28, 2008 at 5:12 PM, Marc Higgins <email address hidden> wrote:

> 2008/10/29 Brandon Snider <email address hidden>
>
> > Same thing happens here with an Epson CX4200:
> >
> > E [28/Oct/2008:10:39:53 -0400] PID 14838 (/usr/lib/cups/filter/pstopdf)
> > stopped with status 1!
> > E [28/Oct/2008:14:14:01 -0400] PID 29093 (/usr/lib/cups/filter/pstopdf)
> > stopped with status 1!
> >
> > --
> > cups kyocera
> > https://bugs.launchpad.net/bugs/289759
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
> Just a suggestion, if you run the diagnostics when it fails & post the
> results someone might see a consistent theme, it can't hurt & has a real
> chance of helping. If you want a hand doing that i am happy to help.
>
> --
> Best Regards,
>
>
>
> Marc Higgins
>
> Mob: 0423 179 051 | Email: <email address hidden>
> Tel: 07 5519 9924 | Skype: marc.higgins
> Fax: 07 5519 9413 | www.hunny.be
>
> This correspondence (& attachments) is intended only for use by the
> addressee/s & may contain information which is confidential and/or may be
> the subject of legal privilege and/or may be subject to copyright. If you
> are not the intended recipient of this communication, disclosure,
> distribution or use of the information is prohibited. Delete & destroy all
> copies & contact the sender immediately. We do not represent, warrant or
> guarantee the integrity of this communication or that the communication is
> free of viruses, errors, interception or interference. All numbers quoted
> are indications only.
>
> --
> cups kyocera
> https://bugs.launchpad.net/bugs/289759
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-- Brandon J. Snider

Download full text (163.6 KiB)

here is my error_log file. Hope it can help.

d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Write on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: polling 5 fds for 1 seconds...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: epoll() returned 1...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Write on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: polling 5 fds for 1 seconds...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: epoll() returned 1...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Write on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: polling 5 fds for 1 seconds...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: epoll() returned 1...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Write on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: polling 5 fds for 1 seconds...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: epoll() returned 1...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Write on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: polling 5 fds for 1 seconds...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: epoll() returned 1...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Write on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: polling 5 fds for 1 seconds...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: epoll() returned 1...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Write on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdWriteClient: 8 bytes < 0
d [29/Oct/2008:12:52:45 +0100] cupsdAddSelect: fd=8, read_cb=0xb8056200, write_cb=(nil), data=0xb91666c0
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: polling 5 fds for 1 seconds...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: epoll() returned 1...
d [29/Oct/2008:12:52:45 +0100] cupsdDoSelect: Read on fd 8...
d [29/Oct/2008:12:52:45 +0100] cupsdReadClient: 8, used=0, file=-1 state=0
D [29/Oct/2008:12:52:45 +0100] cupsdReadClient: 8 POST / HTTP/1.1
d [29/Oct/2008:12:52:45 +0100] cupsdFindBest: uri = "/"...
d [29/Oct/2008:12:52:45 +0100] cupsdFindBest: Location CUPS_INTERNAL_BROWSE_ACL Limit 0
d [29/Oct/2008:12:52:45 +0100] cupsdFindBest: Location /admin/conf Limit 7f
d [29/Oct/2008:12:52:45 +0100] cupsdFindBest: Location /admin Limit 7f
d [29/Oct/2008:12:52:45 +0100] cupsdFindBest: Location / Limit 7f
d [29/Oct/2008:12:52:45 +0100] cupsdFindBest: best = /
d [29/Oct/2008:12:52:45 +0100] cupsdAuthorize: con->uri="/", con->best=0xb912e958(/)
d [29/Oct/2008:12:52:45 +0100] cupsdAuthorize: Authorization=""
D [29/Oct/2008:12:52:45 +0100] cupsdAuthorize: No authentication data provided.
d [29/Oct/2008:12:52:45 +0100] cupsdIsAuthorized: con->uri="/", con->best=0xb912e958(/)
d [29/Oct/2008:12:52:45 +0100] cupsdIsAuthorized: level=CUPSD_AUTH_ANON, type=None, satisfy=CUPSD_AUTH_SATISFY_ALL, num_names=0
d [29/Oct/2008:12:52:45 +0100] cupsdIsAuthorized: auth=CUPSD_AUTH_ALLOW...
d [29/Oct/2008:12:52:45 +0100] POST /
d [29/Oct/2008:12:52:45 +0100] CONTENT_TYPE = application/ipp
d [29/Oct/2008:12:52:45 +0100] cupsdReadClient: 8 con->data_encoding=HTTP_ENCODE_LENGTH, con->data_remaining=415, con->file=-1
d [29/Oct/2008:12:52:45 +0100] cupsdProcessIPPRequest(0xb91666c0[8]): operation_id = 4005
D [29/Oct/2008:12:52:45 +0100] CUPS-Get-Classes
d [29/Oct/2008:12:52:45 +0100...

Marc Higgins (mhiggins) wrote :

same result from a clean 8.10 install & using kyocera ppd 8.2 still prints blank

neutrinux (agniady) wrote :

In a term, when I "lpr file.pdf", it works perfectly.
When I "lpr file.ps", a blank page comes out.
And if I try printing anything form a graphic app, blank page. Even the file.pdf (from okular or acroread).
So it seems to have a problem in ghostscript!?? pstopdf? Don't know how it is used in cups.
while writing, i just tried a "ps2pdf13 file.ps" and the resulting file.pdf is good.

Same problem with my Xerox Phaser 8560DN, I have attached my debug info.

Marc Higgins (mhiggins) wrote :

This seems to be where the start of where the printers fail.

                       'printer-state': 3,
                       'printer-state-message': u'/usr/lib/cups/filter/pstopdf failed',

speez (spzed) wrote :
Download full text (33.8 KiB)

I have the same problem. I have an Epson DX5050 which was running fine on Cups prior to Ibex upgrade.
The first error message was
"specified colorspace is not supported"

Error log below. Any suggestions?

D [04/Nov/2008:16:35:02 +0000] cupsdCloseClient: 10
D [04/Nov/2008:16:35:02 +0000] cupsdAcceptClient: 10 from localhost (Domain)
D [04/Nov/2008:16:35:02 +0000] cupsdReadClient: 10 POST / HTTP/1.1
D [04/Nov/2008:16:35:02 +0000] cupsdAuthorize: No authentication data provided.
D [04/Nov/2008:16:35:02 +0000] Get-Jobs ipp://localhost/jobs/
D [04/Nov/2008:16:35:02 +0000] [Job 143] Loading attributes...
D [04/Nov/2008:16:35:02 +0000] cupsdProcessIPPRequest: 10 status_code=0 (successful-ok)
D [04/Nov/2008:16:35:02 +0000] cupsdCloseClient: 10
D [04/Nov/2008:16:35:02 +0000] cupsdAcceptClient: 10 from localhost (Domain)
D [04/Nov/2008:16:35:02 +0000] cupsdReadClient: 10 POST / HTTP/1.1
D [04/Nov/2008:16:35:02 +0000] cupsdAuthorize: No authentication data provided.
D [04/Nov/2008:16:35:02 +0000] Create-Printer-Subscription /
D [04/Nov/2008:16:35:02 +0000] cupsdCreateSubscription(con=0xb81791f8(10), uri="/")
D [04/Nov/2008:16:35:02 +0000] pullmethod="ippget"
D [04/Nov/2008:16:35:02 +0000] notify-lease-duration=86400
D [04/Nov/2008:16:35:02 +0000] notify-time-interval=0
D [04/Nov/2008:16:35:02 +0000] cupsdAddSubscription(mask=17800, dest=(nil)(), job=(nil)(0), uri="(null)")
D [04/Nov/2008:16:35:02 +0000] Added subscription 10 for server
I [04/Nov/2008:16:35:02 +0000] Saving subscriptions.conf...
D [04/Nov/2008:16:35:02 +0000] cupsdProcessIPPRequest: 10 status_code=0 (successful-ok)
D [04/Nov/2008:16:35:02 +0000] cupsdCloseClient: 10
D [04/Nov/2008:16:35:03 +0000] cupsdAcceptClient: 10 from localhost (Domain)
D [04/Nov/2008:16:35:03 +0000] cupsdReadClient: 10 POST / HTTP/1.1
D [04/Nov/2008:16:35:03 +0000] cupsdAuthorize: No authentication data provided.
D [04/Nov/2008:16:35:03 +0000] Get-Notifications /
D [04/Nov/2008:16:35:03 +0000] cupsdIsAuthorized: requesting-user-name="spz"
D [04/Nov/2008:16:35:03 +0000] cupsdProcessIPPRequest: 10 status_code=0 (successful-ok)
D [04/Nov/2008:16:35:03 +0000] cupsdCloseClient: 10
D [04/Nov/2008:16:35:17 +0000] cupsdAcceptClient: 10 from localhost (Domain)
D [04/Nov/2008:16:35:17 +0000] cupsdReadClient: 10 POST / HTTP/1.1
D [04/Nov/2008:16:35:17 +0000] cupsdAuthorize: No authentication data provided.
D [04/Nov/2008:16:35:17 +0000] Get-Notifications /
D [04/Nov/2008:16:35:17 +0000] cupsdIsAuthorized: requesting-user-name="spz"
D [04/Nov/2008:16:35:17 +0000] cupsdProcessIPPRequest: 10 status_code=0 (successful-ok)
D [04/Nov/2008:16:35:17 +0000] cupsdCloseClient: 10
D [04/Nov/2008:16:35:22 +0000] cupsdAcceptClient: 10 from localhost (Domain)
D [04/Nov/2008:16:35:23 +0000] cupsdReadClient: 10 POST /printers/Stylus_DX5000 HTTP/1.1
D [04/Nov/2008:16:35:23 +0000] cupsdAuthorize: No authentication data provided.
D [04/Nov/2008:16:35:23 +0000] Print-Job ipp://localhost/printers/Stylus_DX5000
D [04/Nov/2008:16:35:23 +0000] add_job: requesting-user-name="spz"
D [04/Nov/2008:16:35:23 +0000] Adding default job-sheets values "none,none"...
I [04/Nov/2008:16:35:23 +0000] [Job 144] Adding start banner page "none".
I [04/Nov/2008:16:35...

Russell Davies (russelldavies) wrote :

I can also confirm for a Xerox Phaser 8560DT using the PPD file xrx8560dn.ppd from Xerox website. Was using same PPD file under Hardy with no problems.

Debug info is attached.

I confirm this after ubuntu 64bit upgrade to intrepid kyocera network printers no longer work.

Thanks for that, Any chance of poasting the diagnostics

2008/11/5 Ge-org Brohammer <email address hidden>

> I confirm this after ubuntu 64bit upgrade to intrepid kyocera network
> printers no longer work.
>
> --
> cups kyocera
> https://bugs.launchpad.net/bugs/289759
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Stefano Terenzi (ced-fpcgil) wrote :

I have the same problem (a blank page comes out) with Kyocera FS-C5020N - PPD's ver. 8.4 , it works prior Ibex upgrade; under hardy no problems.
Debug info is attached.

I could reproduce the bug. It occurs with all PostScript PPDs which insert PJL/JCL into the datastream. The pstopdf filter already applied the PJL/JCL code and so Ghostscript could not convert the file to PDF. This is fixed in the attached file.

Can you all replace your /usr/lib/cups/filter/pstopdf by the attched file? Please do not forget to make it executable

sudo chmod 755 /usr/lib/cups/filter/pstopdf

Can you print now?

Changed in cups:
status: New → Incomplete
Vincenzo Di Somma (vds) wrote :

No still the same problem...

Same situation here.

On Wed, Nov 5, 2008 at 3:56 PM, Vincenzo Di Somma <email address hidden> wrote:

> No still the same problem...
>
> --
> "/usr/lib/cups/filter/pstopdf failed" in error_log and only blank page
> printed
> https://bugs.launchpad.net/bugs/289759
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-- Brandon J. Snider

neutrinux (agniady) wrote :

perfectly working for me. Printing now works from any app. good job Till!

C. Heindl (heindlc) wrote :

This workaround works for me, too. Kyocera FS-C5020N (8.4 PPD), Intrepid Ibex, 32-bit,

I have fixed another bug. Please test with this new version of pstopdf, not with the one of the previous comment.

Vincenzo Di Somma (vds) wrote :

I still get Can't create temporary file.

Marc Higgins (mhiggins) wrote :

works perfectly for me too

The fix did not work for me.

Just to rule out an upgrade I booted with the Live Cd (amd64) and setup my network printer using the default C5020N driver in the list.

I tried it before the fix and after. Looks to two different error messages.

Attached both outputs.

Stefano Terenzi (ced-fpcgil) wrote :

The fix works fine for me. Kyocera FS-C5020N PPD 8.4. Thanks, good job.

Ge-org Brohammer, how did you download the replacement pdftops? Your error_log shows that it has a syntax error, which would mean that your file is corrupted.

Please do

wget http://launchpadlibrarian.net/19405648/pstopdf
sudo cp pstopdf /usr/lib/cups/filter/pstopdf
sudo chmod 755 /usr/lib/cups/filter/pstopdf

Note that Launchpad has a bug marking all plain text attachments as HTML and so displaying and downloading them them with the browser is impossible.

Thanks Till, the fix worked for me.

bhouchmandzadeh (bahram) wrote :

Thanks a lot Till Kamppeter,
your replacement works fine for me (Xerox Phaser 8400 network printer). Many Many Many (^n) thanks, I had lost two days on this bug.

Russell Davies (russelldavies) wrote :

Working perfectly on Xerox Phaser 8560DT, thanks Till! Is the pstopdf file you supplied from a previous version of Ubuntu?

Attached is the final version which we intend to put into the CUPS package as the fix. Thank you for your report and your cooperation.

Changed in cups:
status: Incomplete → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.3.9-3

---------------
cups (1.3.9-3) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Fixed several bugs in the pstopdf filter. First,
    removed the use of CUPS' pstops filter for inserting option settings. This
    also inserts PJL headers and then Ghostscript cannot convert the PostScript
    to PDF in the next step. Fixed also the sed magic so that the paper size
    and the margins get really read from the PPD and fixed the calculation of
    the top and bottom margins, they were exchanged. Fixes LP: #289759,
    LP: #292690, LP: #282186. Possible fix for LP #293883.

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow dnssd backend to create various less
    common network protocols (x25, appletalk, etc.) for detection. Also allow
    it to read /proc/*/net/, which the bonjour avahi library apparently uses.
    (LP: #254022)

 -- Martin Pitt <email address hidden> Wed, 29 Oct 2008 11:41:38 +0100

Changed in cups:
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in cups:
status: New → Fix Committed

Sorry about that, I removed the html tags but messed something up. After downloading it again with wget, the fix works fine. Thanks

Ge-org Brohammer [2008-11-07 8:21 -0000]:
> Sorry about that, I removed the html tags but messed something up.
> After downloading it again with wget, the fix works fine. Thanks

Thanks for testing. Maybe you can also install the package from
intrepid-proposed, for making doubly sure?

CUPS package from intrepid-proposed with the problem for Xerox 8560DN. Tx!

The package *fixed* the problem.

Russell Davies (russelldavies) wrote :

My Xerox 8560DT is working fine with the package cups (1.3.9-3) from intrepid-proposed.

Stefano Terenzi (ced-fpcgil) wrote :

For my Kyocera FS-C5020N, cups package from intrepid-proposed works fine . TX!

Martin Pitt (pitti) wrote :

Copied to intrepid-updates.

Changed in cups:
status: Fix Committed → Fix Released
oavicena (oavicena) wrote :

The Till Kamppeter's fix worked for me. Kyocera FS-C5030N.

Bingo Tailspin (bingotailspin) wrote :

I am running Intrepid and getting this bug for a 61 page RTF document printing from Abiword. It prints fine from my Hardy laptop with the same printer/driver/document. The pstopdf errror shows up in the trouble-shooting GUI. Is this a regression?

$ dpkg-query -W cupsys
cupsys 1.3.9-2ubuntu1
$ uname -a
Linux earth 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux

Richard Kleeman (kleeman) wrote :

I am still getting this problem with

cupsys 1.3.9-2ubuntu3

in intrepid fully updated (November 26)

The error message is

/usr/lib/cups/filter/pstopdf failed

The printer is a xerox pahser 6350dp with latest ppd installed

I have attached the troubleshooting file produced

Changed in cups:
status: Fix Released → In Progress

Bingo Tailspin, Richard Kleeman, can you both please set your CUPS logging to debug mode with

cupsctl LogLevel=debug

then print a job and as soon as the processing has finished (job disappears, gets into "Stopped" state, and/or something comes out of the printer) post the /var/log/cups/error_log file here? Thanks.

Martin Pitt (pitti) wrote :

Richard, Bingo, can you please file a new bug for your problem? This one is already closed, and was verified to work for previous reporters. Thank you!

Changed in cups:
status: In Progress → Fix Released
Richard Kleeman (kleeman) wrote :

Till, I have attached the requested file which follows the unsuccessful print job. I have tried the print on 3 different machines (2 i386 one amd64) with identical results.

Martin, sorry for switching status, I will lodge a new bug report shortly.

Richard

Richard, there appears a Ghostscript error looking like that the PostScript coming from the application is broken. Can you tell which file you have printed from which application? Can you print into a file from the application (if you can select PostScript or PDF format then, select PostScript) and attach the file here? Can you display this file with "gs <file>"?

Richard Kleeman (kleeman) wrote :

The file was in abiword. It prints OK to a PDF file (PDF "printer") and this will print. If I choose the generic postscript printer and save to a postscript file (output.ps) then both gv and gs have trouble with the file as you suspected. In particular when these apps hit the second page which has a graphic in it they either give an error message (gv) or crash completely (gs). I have attached the original abiword file (my daughters homework ;-)). So I am assuming this may be an abiword bug correct?

Yes, the second page gives exactlyu the same error as you have in your error_log when I try to display it on the screen with "gs output.ps". So it is really a bug of Abiword. Please report the new bug with "abiword" as the package. Attach the file also there.

Bingo, as you are also using Abiword, you have probably the same problem as Richard. Please print into a PostScript file from Abiword and then try to display the resulting file on the screen, as Richard did. Report this as a bug in Abiword. Or add your file to Richard's new bug report.

Dmitry Korzhevin (korg) wrote :

Hello!

Canon MP 150 also have "/usr/lib/cups/filter/pstopdf failed" problem in Ubuntu 8.10 with all updates. What info i can show you, to fix this problem?

Dmitry Korzhevin (korg) wrote :
Download full text (9.8 KiB)

Hello!

Here is cups error log. Maybe this information can help fix this problem..

Page 1 (Scheduler not running?):
{'cups_connection_failure': False}
Page 2 (Choose printer):
{'cups_dest': <cups.Dest MP150 (default)>,
 'cups_instance': None,
 'cups_queue': 'MP150',
 'cups_queue_listed': True}
Page 3 (Check printer sanity):
{'cups_device_uri_scheme': u'usb',
 'cups_printer_dict': {'device-uri': u'usb://Canon/MP150',
                       'printer-info': u'Canon MP150',
                       'printer-is-shared': True,
                       'printer-location': u'',
                       'printer-make-and-model': u'Canon PIXMA MP150 - CUPS+Gutenprint v5.2.0-rc1 Simplified',
                       'printer-state': 3,
                       'printer-state-message': u'/usr/lib/cups/filter/pstopdf failed',
                       'printer-state-reasons': [u'none'],
                       'printer-type': 45084,
                       'printer-uri-supported': u'ipp://localhost:631/printers/MP150'},
 'cups_printer_remote': False,
 'is_cups_class': False}
Page 4 (Check PPD sanity):
{'cups_printer_ppd_defaults': {u'C0L0': {u'StpInkType': u'CMYK'},
                               u'C1L0': {u'StpBrightness': u'None',
                                         u'StpColorCorrection': u'Uncorrected',
                                         u'StpContrast': u'None',
                                         u'StpImageType': u'TextGraphics',
                                         u'StpSaturation': u'None'},
                               u'General': {u'ColorModel': u'RGB',
                                            u'Duplex': u'None',
                                            u'InputSlot': u'SelectKey',
                                            u'MediaType': u'Plain',
                                            u'PageRegion': u'A4',
                                            u'PageSize': u'A4',
                                            u'Resolution': u'600dpi',
                                            u'StpQuality': u'None',
                                            u'StpiShrinkOutput': u'Shrink'}},
 'cups_printer_ppd_valid': True,
 'missing_pkgs_and_exes': ([], [])}
Page 5 (Local or remote?):
{'printer_is_remote': False}
Page 6 (Choose device):
{'cups_device_dict': {'device-class': u'direct',
                      'device-id': u'MFG:Canon;CMD:BJL,BJRaster3,BSCCe;SOJ:TXT01;MDL:MP150;CLS:PRINTER;DES:Canon MP150;VER:1.04;STA:10;HRI:OTH;',
                      'device-info': u'Canon MP150 USB #1',
                      'device-make-and-model': u'Canon MP150'}}
Page 7 (Printer state reasons):
{'printer-state-message': u'/usr/lib/cups/filter/pstopdf failed',
 'printer-state-reasons': [u'none']}
Page 8 (Error log checkpoint):
{'cups_server_settings': {'DefaultAuthType': 'Basic',
                          'MaxLogSize': '0',
                          'SystemGroup': 'lpadmin',
                          '_debug_logging': '1',
                          '_remote_admin': '0',
                          '_remote_any': '0',
                          '_remote_printers': '0',
                          '_share_printers': '0',
                          '_user_cance...

Download full text (12.0 KiB)

Hi Dmitry,
I wish I knew more & could help. Unfortunately I am way over my head with
this one. All I can suggest is add it to the bug post & see if some one else
can figure out what is happening.

Marc

2009/1/27 Dmitry Korzhevin <email address hidden>

> Hello!
>
> Here is cups error log. Maybe this information can help fix this
> problem..
>
> Page 1 (Scheduler not running?):
> {'cups_connection_failure': False}
> Page 2 (Choose printer):
> {'cups_dest': <cups.Dest MP150 (default)>,
> 'cups_instance': None,
> 'cups_queue': 'MP150',
> 'cups_queue_listed': True}
> Page 3 (Check printer sanity):
> {'cups_device_uri_scheme': u'usb',
> 'cups_printer_dict': {'device-uri': u'usb://Canon/MP150',
> 'printer-info': u'Canon MP150',
> 'printer-is-shared': True,
> 'printer-location': u'',
> 'printer-make-and-model': u'Canon PIXMA MP150 -
> CUPS+Gutenprint v5.2.0-rc1 Simplified',
> 'printer-state': 3,
> 'printer-state-message':
> u'/usr/lib/cups/filter/pstopdf failed',
> 'printer-state-reasons': [u'none'],
> 'printer-type': 45084,
> 'printer-uri-supported':
> u'ipp://localhost:631/printers/MP150'},
> 'cups_printer_remote': False,
> 'is_cups_class': False}
> Page 4 (Check PPD sanity):
> {'cups_printer_ppd_defaults': {u'C0L0': {u'StpInkType': u'CMYK'},
> u'C1L0': {u'StpBrightness': u'None',
> u'StpColorCorrection':
> u'Uncorrected',
> u'StpContrast': u'None',
> u'StpImageType': u'TextGraphics',
> u'StpSaturation': u'None'},
> u'General': {u'ColorModel': u'RGB',
> u'Duplex': u'None',
> u'InputSlot': u'SelectKey',
> u'MediaType': u'Plain',
> u'PageRegion': u'A4',
> u'PageSize': u'A4',
> u'Resolution': u'600dpi',
> u'StpQuality': u'None',
> u'StpiShrinkOutput':
> u'Shrink'}},
> 'cups_printer_ppd_valid': True,
> 'missing_pkgs_and_exes': ([], [])}
> Page 5 (Local or remote?):
> {'printer_is_remote': False}
> Page 6 (Choose device):
> {'cups_device_dict': {'device-class': u'direct',
> 'device-id':
> u'MFG:Canon;CMD:BJL,BJRaster3,BSCCe;SOJ:TXT01;MDL:MP150;CLS:PRINTER;DES:Canon
> MP150;VER:1.04;STA:10;HRI:OTH;',
> 'device-info': u'Canon MP150 USB #1',
> 'device-make-and-model': u'Canon MP150'}}
> Page 7 (Printer state reasons):
> {'printer-state-message': u'/usr/lib/cups/filter/pstopdf failed',
> 'printer-state-reasons': [u'none']}
> Page 8 (Error log checkpoint):
> {'cups_server_settings': {'DefaultAuthType': 'Basic',
> ...

Dmitry Korzhevin (dkorzhevin) wrote :

Hello Marc!

Tell me please, are you already have a solution to the problem of printing, printer Canon Pixma MP150? Or the only solution is downgrade to Ubuntu 8.04.2?

https://bugs.launchpad.net/ubuntu/+source/cups/+bug/289759

Hachi (hemanzur) wrote :

Hi everyone !!
I have this network printer the Xerox 6180 MPD connected to a machine running Ubuntu 9.04. It prints everything fine except for .pdf files, it only prints the first page and then the cups system gives me this error "/usr/lib/cups/filter/pstopdf failed". I've tried all the solutions listed on this page with no result. Attached you will find the output of the cups system on debug mode.
Hope you can help me.

Luka Fürst (luka-fuerst) wrote :

@Hachi -- I had precisely the same problem and "solved" it by printing files from xpdf rather than from Adobe Reader. To get xpdf, use

sudo apt-get install xpdf

Among other things, xpdf can reload the PDF file (which is very handy if you produce PDF via LaTeX), while Adobe Reader can't.

jakub (jotwin) wrote :

I know this bug was supposedly fixed but a large portion of pdf files I download cause this problem for me. I get the same error and only one page is printed and it stops. I haven't tried xpdf but I am not happy with using it as a solution.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers